TextareaTag (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.html.TextareaTag,TextareaTag class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.html
Class TextareaTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--javax.servlet.jsp.tagext.BodyTagSupport
                  |
                  +--org.apache.struts.taglib.html.BaseHandlerTag
                        |
                        +--org.apache.struts.taglib.html.BaseInputTag
                              |
                              +--org.apache.struts.taglib.html.TextareaTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  NestedTextareaTag

public class TextareaTag
extends BaseInputTag

Custom tag for input fields of type "textarea".

Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Craig R. McClanahan, David Graham
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name` The name of the bean containing our underlying property.

Fields inherited from class org.apache.struts.taglib.html.BaseInputTag
`cols, maxlength, messages, property, rows, value`

Fields inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`accesskey, defaultLocale, indexed, tabindex`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TextareaTag()`

Method Summary
`int` | `doStartTag()` Generate the required input tag.
`java.lang.String` | `getName()`
`void` | `release()` Release any acquired resources.
`protected java.lang.String` | `renderData()` Renders the value displayed in the <textarea> tag.
`protected java.lang.String` | `renderTextareaElement()` Generate an HTML <textarea> tag.
`void` | `setName(java.lang.String name)`

Methods inherited from class org.apache.struts.taglib.html.BaseInputTag
`doEndTag, getCols, getMaxlength, getProperty, getRows, getSize, getValue, setCols, setMaxlength, setProperty, setRows, setSize, setValue`

Methods inherited from class org.apache.struts.taglib.html.BaseHandlerTag
`getAccesskey, getAlt, getAltKey, getBundle, getDisabled, getElementClose, getIndexed, getLocale, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getReadonly, getStyle, getStyleClass, getStyleId, getTabindex, getTitle, getTitleKey, isXhtml, lookupProperty, message, prepareEventHandlers, prepareFocusEvents, prepareIndex, prepareKeyEvents, prepareMouseEvents, prepareStyles, prepareTextEvents, setAccesskey, setAlt, setAltKey, setBundle, setDisabled, setIndexed, setLocale, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setStyle, setStyleClass, setStyleId, setTabindex, setTitle, setTitleKey`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### name

    protected java.lang.String name

  The name of the bean containing our underlying property.

Constructor Detail

### TextareaTag

    public TextareaTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Generate the required input tag. Support for indexed since Struts 1.1

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `BaseInputTag`
  Throws:
    `javax.servlet.jsp.JspException` - if a JSP exception has occurred

### renderTextareaElement

    protected java.lang.String renderTextareaElement()
                                              throws javax.servlet.jsp.JspException

  Generate an HTML <textarea> tag.

  Throws:
    `javax.servlet.jsp.JspException`
  Since:
    Struts 1.1

### renderData

    protected java.lang.String renderData()
                                   throws javax.servlet.jsp.JspException

  Renders the value displayed in the <textarea> tag.

  Throws:
    `javax.servlet.jsp.JspException`
  Since:
    Struts 1.1

### release

    public void release()

  Release any acquired resources.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseInputTag`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation